#
# setup.py
# This python program compiles and install the Affix socket module 
#
# by Carlos Chinea
# (C) Nokia Research Center, 2004
#

from distutils.core import setup, Extension

module1 = Extension('affixsocket',
		    define_macros = [('__ALLOW_AFFIX_', '1')],
		    include_dirs = ['/usr/include/affix'],
		    libraries = ['affix'],
                    runtime_library_dirs = ['/usr/local/lib/'],
#		    extra_compile_args =['-g'],
                    sources = ['affixsocketmodule.c'])

setup (	name = 'Pyaffix - Affix Socket Interface',
       	version = '0.91',
       	description = 'PyAffix - Socket interface support for Affix Bluetooth stack',
       	author="Carlos Chinea",
     	author_email="carlos.chinea@nokia.com",
      	url="http://affix.sourceforge.net/pyaffix.shtml",
       	ext_modules = [module1])
